Subject: Re: bug#20499: bug#16082: bug#20499: [PROPOSED PATCH] C-x 8 shorthands for curved quotes, Euro, etc.

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 May 2015 19:31:34 +0300

> From: Ivan Shmakov <[email-masked]>
> Date: Mon, 04 May 2015 16:12:28 +0000
> 
> >>>>> Eli Zaretskii <[email-masked]> writes:
> >>>>> From: Ivan Shmakov  Date: Mon, 04 May 2015 15:20:56 +0000
> 
> […]
> 
>  >> I tend to agree with that, but is there currently an easy way to
>  >> switch between /two/ input methods?
> 
>  > I simply use "C-u C-\".
> 
> 	Given that I edit texts which may be deemed bilingual (Russian
> 	prose interspersed with source code or command line examples)
> 	not just occasionally, /and/ need C-s, C-r at that, – no,
> 	I don’t think it’d work all that well for me.

Don't you have a dual-language keyboard on your system that can switch
languages without Emacs being involved?  Input methods are for
characters not directly supported by your keyboard; most systems have
at least 2, sometimes 3 different languages switchable by a hot key.

IOW, I won't expect you to need an input method to type Cyrillic
characters.

>  > Granted, if every 2nd character you type is U+2018, switching input
>  > methods is gonna hurt.
> 
> 	It’s not that bad, but still; consider, e. g.:
> 
> «Ты пророк», вскричал я, «вещий! Птица ты иль дух зловещий,
> Этим Небом, что над нами — Богом скрытым навсегда —
> Заклинаю, умоляя, мне сказать, — в пределах Рая
> Мне откроется ль святая, что средь ангелов всегда,
> Та, которую Ленорой в небесах зовут всегда?»
>     Каркнул Ворон: «Никогда».
> 
> 	Nine such characters per 43 words.

Those aren't quotes Paul was talking about.  Those are Cyrillic-style
quotes frequently used in Cyrillic languages, and I'd expect them to
be directly available from your keyboard.

Paul's use case is with the original of this poem.

>  > But that's not what happens normally, at least not to me, and you
>  > save those Alt-[ etc. for more useful tasks.
> 
> 	My ‘Alt’ is ‘Meta’ most of the time, so it’s rather C-x 8 [,
> 	C-x 8 ], etc. for me, and reserving that for typography isn’t
> 	really a big deal.

That's exactly the issue: most keyboards will have Alt taken already,
and typing "C-x 8 [" is a PITA, IMO.  By contrast, 'C-\ "' is easy.

But if there are people who'd like to go iso-transl way, who am I to
object?